[client]
port		= 3306
socket		= /var/run/mysqld/mysqld.sock
[mysqld_safe]
socket		= /var/run/mysqld/mysqld.sock
nice		= 0
[mysqld]
user		= mysql
pid-file	= /var/run/mysqld/mysqld.pid
socket		= /var/run/mysqld/mysqld.sock
port		= 3306
basedir		= /usr
datadir		= /var/lib/mysql
tmpdir		= /tmp
lc_messages_dir	= /usr/share/mysql
lc_messages	= en_US
skip-external-locking
character-set-server = utf8
collation-server = utf8_general_ci
max_connections		= 300
connect_timeout		= 5
wait_timeout		= 600
max_allowed_packet	= 128M
thread_cache_size       = 128
sort_buffer_size	= 8M
bulk_insert_buffer_size	= 16M
tmp_table_size		= 64M
max_heap_table_size	= 64M
myisam_recover_options = BACKUP
key_buffer_size		= 128M
table_open_cache	= 2000
myisam_sort_buffer_size	= 512M
concurrent_insert	= 2
read_buffer_size	= 2M
read_rnd_buffer_size	= 1M
query_cache_limit		= 256K
query_cache_size		= 64M
log_warnings		= 2
slow_query_log=1
slow_query_log_file	= /var/log/mysql/mariadb-slow.log
long_query_time = 1
log_slow_verbosity	= query_plan
log_bin			= /var/log/mysql/mariadb-bin
log_bin_index		= /var/log/mysql/mariadb-bin.index
sync_binlog		= 0
expire_logs_days	= 10
max_binlog_size         = 100M
default_storage_engine	= InnoDB
innodb_log_file_size	= 4G
innodb_buffer_pool_instances = 2
innodb_buffer_pool_size	= 64G
innodb_log_buffer_size	= 8M
innodb_file_per_table	= 1
innodb_open_files	= 10000
innodb_io_capacity	= 50000
innodb_flush_method	= O_DIRECT
innodb_flush_neighbors  = 0
[galera]
wsrep_on=ON
wsrep_provider=/usr/lib/galera/libgalera_smm.so
wsrep_provider_options="gcache.size=2G; gcache.recover=yes"
wsrep_cluster_address="gcomm://192.168.1.4,192.168.1.6,192.168.1.10"
binlog_format=row
default_storage_engine=InnoDB
innodb_autoinc_lock_mode=2
wsrep_node_address="192.168.1.4"
wsrep_node_name="big-galera-01"
wsrep_cluster_name="galera01"
bind-address=192.168.1.6
wsrep_sst_method=rsync
wsrep_slave_threads=32
innodb_flush_log_at_trx_commit=0
[mysqldump]
quick
quote-names
max_allowed_packet	= 128M
[mysql]
[isamchk]
key_buffer		= 16M
!includedir /etc/mysql/conf.d/